> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Margin Window

> Get the futures current margin window



## OpenAPI

````yaml GET /api/v3/brokerage/cfm/intraday/current_margin_window
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/cfm/intraday/current_margin_window:
    get:
      tags:
        - Futures
      summary: Get Current Margin Window
      description: Get the futures current margin window
      operationId: RetailBrokerageApi_GetCurrentMarginWindow
      parameters:
        - name: margin_profile_type
          description: The margin profile type for your account.
          in: query
          required: false
          schema:
            type: string
            enum:
              - MARGIN_PROFILE_TYPE_UNSPECIFIED
              - MARGIN_PROFILE_TYPE_RETAIL_REGULAR
              - MARGIN_PROFILE_TYPE_RETAIL_INTRADAY_MARGIN_1
            default: MARGIN_PROFILE_TYPE_UNSPECIFIED
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetCurrentMarginWindowResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetCurrentMarginWindowResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:user:read
components:
  schemas:
    coinbase.retail.rest.proxy.fcm.GetCurrentMarginWindowResponse:
      type: object
      properties:
        margin_window:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.fcm.MarginWindow'
        is_intraday_margin_killswitch_enabled:
          type: boolean
          description: True if intraday margin killswitch is enabled
        is_intraday_margin_enrollment_killswitch_enabled:
          type: boolean
          description: True if intraday margin enrollment killswitch is enabled
      title: GetCurrentMarginWindowResponse
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.fcm.MarginWindow:
      type: object
      properties:
        margin_window_type:
          description: Your margin window
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.MarginWindowType
        end_time:
          type: string
          format: RFC3339 Timestamp
          description: The end time of the margin window
    coinbase.retail.rest.proxy.fcm.MarginWindowType:
      type: string
      enum:
        - MARGIN_WINDOW_TYPE_UNSPECIFIED
        - MARGIN_WINDOW_TYPE_OVERNIGHT
        - MARGIN_WINDOW_TYPE_WEEKEND
        - MARGIN_WINDOW_TYPE_INTRADAY
        - MARGIN_WINDOW_TYPE_TRANSITION
      default: MARGIN_WINDOW_TYPE_UNSPECIFIED
      title: ''
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````